org.apache.catalina.tribes

## Class ChannelException.FaultyMember

- java.lang.Object
- - org.apache.catalina.tribes.ChannelException.FaultyMember

- Enclosing class:
    ChannelException

      public static class ChannelException.FaultyMember
      extends Object

  Title: FaultyMember class

  Description: Represent a failure to a specific member when a message was sent to more than one member

  Version:
    1.0

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected Exception` | `cause`
    `protected Member` | `member`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ChannelException.FaultyMember(Member mbr, Exception x)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(Object o)`
    `Exception` | `getCause()`
    `Member` | `getMember()`
    `int` | `hashCode()`
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### cause

          protected final Exception cause

    - #### member

          protected final Member member

  - ### Constructor Detail

    - #### ChannelException.FaultyMember

          public ChannelException.FaultyMember(Member mbr,
                                       Exception x)

  - ### Method Detail

    - #### getMember

          public Member getMember()

    - #### getCause

          public Exception getCause()

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### equals

          public boolean equals(Object o)

      Overrides:
        `equals` in class `Object`

Copyright © 2000-2021 Apache Software Foundation. All Rights Reserved.